For the complete documentation index, see llms.txt. This page is also available as Markdown.

LoanDefault

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getLoanDefault

post

Retrieve LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanDefaultLoanTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getLoanDefault
POST /nexum/627/2022.01/parameter/getLoanDefault HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanDefaultLoanType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanDefault": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getLoanDefault"
}

getLoanDefaultSelectFields

post

Retrieve LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanDefaultLoanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getLoanDefaultSelectFields
POST /nexum/627/2022.01/parameter/getLoanDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "LoanDefaultLoanType": 0,
  "SelectableFields": {
    "LoanDefaultFields": {
      "LoanType": true,
      "Description": true,
      "InterestRate": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "LoanDefault": {
    "Description": "NEW AUTO",
    "InterestRate": "0.000",
    "LoanType": 0,
    "Type": 0
  },
  "MessageId": "getLoanDefaultSelectFields"
}

getLoanDefaultPagedList

post

Retrieve LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanDefaultPagedList
POST /nexum/627/2022.01/parameter/getLoanDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanDefault": [],
  "Token": null,
  "MessageId": "getLoanDefaultPagedList"
}

getLoanDefaultListSelectFields

post

Retrieve LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getLoanDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getLoanDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 194

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanDefaultFields": true
  }
}
200

Successful operation.

{
  "LoanDefaultList": [],
  "MessageId": "getLoanDefaultListSelectFields"
}

searchLoanDefaultSelectFields

post

Search LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchLoanDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchLoanDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanDefaultFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanDefaultList": [],
  "MessageId": "searchLoanDefaultSelectFields"
}

getLoanDefaultPagedListSelectFields

post

Retrieve LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 327

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanDefaultFields": {
      "LoanType": true,
      "Description": true,
      "InterestRate": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "LoanDefault": [
    {
      "Description": "NEW AUTO",
      "InterestRate": "0.000",
      "LoanType": 0,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getLoanDefaultPagedListSelectFields"
}

searchLoanDefaultPagedSelectFields

post

Search LoanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanDefaultPagedSelectFields
POST /nexum/627/2022.01/parameter/searchLoanDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 338

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "LoanDefaultFields": {
      "LoanType": true,
      "Description": true,
      "InterestRate": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "LoanDefault": [
    {
      "Description": "NEW AUTO",
      "InterestRate": "0.000",
      "LoanType": 0,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchLoanDefaultPagedSelectFields"
}

updateLoanDefaultByID

post

Update LoanDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanDefaultLoanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updateLoanDefaultByID
POST /nexum/627/2022.01/parameter/updateLoanDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanDefaultLoanType": 1,
  "LoanDefaultUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateLoanDefaultByID"
}

Last updated

Was this helpful?